-- Show indexes (Grid mode)
exec sp_helpindex 'Person.Contact'
GO

SELECT * 
FROM Person.Contact
WHERE EmailAddress = 'jackie0@adventure-works.com'
GO

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

SELECT *
FROM sys.dm_db_missing_index_details
GO -- Nothing returned

DROP INDEX Person.Contact.IX_Contact_EmailAddress
GO

-- Row no longer in index usage stats
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

SELECT * 
FROM Person.Contact
WHERE EmailAddress = 'jackie0@adventure-works.com'
GO

-- Missing index corresponds to the index dropped
SELECT *
FROM sys.dm_db_missing_index_details
GO -- Something is now returned

-- Missing index corresponds to the index dropped
SELECT d.*,s.*
FROM sys.dm_db_missing_index_details d
JOIN sys.dm_db_missing_index_groups g on d.index_handle = d.index_handle
JOIN sys.dm_db_missing_index_group_stats s on s.group_handle = g.index_group_handle
GO -- Something is now returned

CREATE INDEX IX_Contact_EmailAddress ON Person.Contact (EmailAddress)
GO

-- No longer missing!!
SELECT d.*,s.*
FROM sys.dm_db_missing_index_details d
JOIN sys.dm_db_missing_index_groups g on d.index_handle = d.index_handle
JOIN sys.dm_db_missing_index_group_stats s on s.group_handle = g.index_group_handle
GO -- Something is now returned
