USE ADVENTUREWORKS
GO
-- Check index usage stats (show in grid)
SELECT *
FROM sys.dm_db_index_usage_stats
WHERE database_id = db_id()
AND object_id = object_id(N'Person.Contact')
GO
-- No records returned!
-- Select from table
SELECT *
FROM Person.Contact
GO
-- See which index have been used!
SELECT *
FROM sys.dm_db_index_usage_stats
WHERE database_id = db_id()
AND object_id = object_id(N'Person.Contact')
GO
-- More details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

SELECT *
FROM Person.Contact
WHERE ContactID > 100 -- Should be a user_seek
GO

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

SELECT *
FROM Person.Contact
WHERE ContactID = 100 -- Should be a user_seek
GO

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

UPDATE Person.Contact
SET LastName = 'White'
WHERE ContactID = 100 
GO

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

-- Get FKs referencing PK
SELECT *
FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS
WHERE UNIQUE_CONSTRAINT_NAME = 'PK_Contact_ContactID'

UPDATE HumanResources.Employee
SET contactid = 1030
WHERE contactid = 100

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

DBCC DBREINDEX ('Person.Contact','PK_Contact_ContactID')

-- details (system scan added)
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO

-- Show indexes (Grid mode)
exec sp_helpindex 'Person.Contact'
GO

SELECT * 
FROM Person.Contact
WHERE EmailAddress = 'jackie0@adventure-works.com'
GO

-- details
SELECT i.name,
				s.*
FROM sys.dm_db_index_usage_stats s
JOIN sys.indexes i ON i.object_id = s.object_id AND i.index_id = s.index_id
WHERE database_id = db_id()
AND s.object_id = object_id(N'Person.Contact')
GO