-- What's returned by dm_exec_cached_plans
SELECT * 
FROM sys.dm_exec_cached_plans
GO

-- Compare columns of dm_exec_cached_plans, syscacheobjects
SELECT Name, SUM([dm_exec_cached_plans]) AS [dm_exec_cached_plans], SUM([syscacheobjects]) AS [syscacheobjects]
FROM (
	SELECT C.NAME, 
	CASE WHEN o.NAME = 'dm_exec_cached_plans' THEN 1 ELSE 0 END AS  [dm_exec_cached_plans],
	CASE WHEN o.NAME = 'syscacheobjects' THEN 1 ELSE 0 END AS  syscacheobjects
	FROM syscolumns c
	JOIN sysobjects o on o.id = c.id
	WHERE o.name IN (	'dm_exec_cached_plans',
						'syscacheobjects')
	) A
GROUP BY Name
ORDER BY NAME, syscacheobjects DESC
GO

-- What's returned by syscacheobjects
SELECT *
FROM syscacheobjects
GO

-- Usage of query plans in cache (display in grid)
SELECT TOP 50
	cp.plan_handle,
	cp.cacheobjtype,
	cp.usecounts,
	cp.size_in_bytes,
	qt.dbid,
	qt.objectid,
	qt.text AS plan_text
FROM sys.dm_exec_cached_plans AS cp
CROSS APPLY sys.dm_exec_sql_text(cp.plan_handle) AS qt
ORDER BY cp.usecounts DESC
GO


