-- Get executing statement text using dm_exec_sql_text
SELECT	r.session_id,
	r.status,
	SUBSTRING(qt.text,r.statement_start_offset/2, 
			(CASE WHEN r.statement_end_offset = -1 
			THEN LEN(CONVERT(nvarchar(max), qt.text)) * 2 
			ELSE r.statement_end_offset
			END - r.statement_start_offset)/2) 
		AS query_text,   --- these are the statements executing right now
	qt.dbid,
	qt.objectid,
	r.cpu_time,
	r.total_elapsed_time,
	r.reads,
	r.writes,
	r.logical_reads,
	r.scheduler_id
FROM sys.dm_exec_requests r
CROSS APPLY sys.dm_exec_sql_text(sql_handle) as qt
WHERE r.session_id > 50
ORDER BY r.scheduler_id, r.status, r.session_id
GO

-- Use the old fn_get_sql function
SELECT	r.session_id,
	r.status,
	SUBSTRING(qt.text,r.statement_start_offset/2, 
			(CASE WHEN r.statement_end_offset = -1 
			THEN LEN(CONVERT(nvarchar(max), qt.text)) * 2 
			ELSE r.statement_end_offset
			END - r.statement_start_offset)/2) 
		AS query_text,   --- these are the statements executing right now
	qt.dbid,
	qt.objectid,
	r.cpu_time,
	r.total_elapsed_time,
	r.reads,
	r.writes,
	r.logical_reads,
	r.scheduler_id
FROM sys.dm_exec_requests r
CROSS APPLY fn_get_sql(r.sql_handle) as qt
WHERE r.session_id > 50
ORDER BY r.scheduler_id, r.status, r.session_id
GO

SELECT	r.session_id,
	r.status,
	qt.text		AS query_text,
	qt.dbid,
	qt.objectid,
	r.cpu_time,
	r.total_elapsed_time,
	r.reads,
	r.writes,
	r.logical_reads,
	r.scheduler_id
INTO #tmp_dm
FROM sys.dm_exec_requests r
CROSS APPLY sys.dm_exec_sql_text(sql_handle) as qt
WHERE r.session_id > 50
ORDER BY r.scheduler_id, r.status, r.session_id
GO

SELECT	r.session_id,
	r.status,
	qt.text		AS query_text,
	qt.dbid,
	qt.objectid,
	r.cpu_time,
	r.total_elapsed_time,
	r.reads,
	r.writes,
	r.logical_reads,
	r.scheduler_id
INTO #tmp_fn
FROM sys.dm_exec_requests r
CROSS APPLY fn_get_sql(r.sql_handle) as qt
WHERE r.session_id > 50
ORDER BY r.scheduler_id, r.status, r.session_id
GO

-- Return as text!
-- query_text is nvarchar(max)
EXEC tempdb..sp_help '#tmp_dm'
GO
-- query_text is text
EXEC tempdb..sp_help '#tmp_fn'
GO