-- Show in Grid Mode
SELECT *
FROM sys.dm_io_virtual_file_stats(null,null)
GO

-- Information for current database
SELECT database_id, 
				file_id,
				io_stall_read_ms,
				num_of_reads,
				CAST(io_stall_read_ms/(1.0+num_of_reads) AS numeric(10,1)) AS [avg_read_stall_ms],
				io_stall_write_ms,
				num_of_writes,
				CAST(io_stall_write_ms/(1.0+num_of_writes) AS numeric(10,1)) AS [avg_write_stall_ms],
				io_stall_read_ms + io_stall_write_ms AS [io_stalls],
				num_of_reads + num_of_writes AS [total_io],
				CAST((io_stall_read_ms+io_stall_write_ms)/(1.0+num_of_reads + num_of_writes) AS numeric(10,1)) AS [avg_io_stall_ms]
FROM sys.dm_io_virtual_file_stats(DB_ID(),null)
ORDER BY file_id desc
GO